#include<stdio.h>
#include "funkce.h"

#include<highgui.h>
#include <cv.h>

#include<time.h>

//#define TEXT(t) (cout<<t)
#define TEXT(t)


int main( int argc, char** argv ){
clock_t start,start2,end;

	IplImage *img_ref = cvLoadImage("5.jpg", CV_LOAD_IMAGE_GRAYSCALE);
start=clock();
	fftw_complex* img_fft=img2fft(img_ref);
start2=clock();
	phase_correlation(img_fft,img_fft,cvSize(img_ref->width,img_ref->height));
end=clock();
cout <<"\n\nprevod do fft trval: "<<start2-start<<"\ncelkem i s korelaci: "<<end-start<<"\n";

return 0;}















